rse_events_sources = [
  'src/events_manager.c'
  ]

sdl3_dep = dependency('sdl3',
                      version : '>=3.4.0')

rse_events_lib = shared_library(
  'rse_events',
  rse_events_sources,
  include_directories : [
    '../'
    ],
  dependencies : [sdl3_dep,
                  ],
  link_with: rse_utilities_lib,
  install : true
  )
